org.wildfly.swarm.config.undertow.servlet_container

## Class PersistentSessionsSetting<T extends PersistentSessionsSetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.servlet_container.PersistentSessionsSetting<T>

-     public class PersistentSessionsSetting<T extends PersistentSessionsSetting<T>>
      extends Object

  Session persistence sessions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentSessionsSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `path()` The path to the persistent session data directory.
    `T` | `path(String value)` The path to the persistent session data directory.
    `String` | `relativeTo()` The directory the path is relative to
    `T` | `relativeTo(String value)` The directory the path is relative to
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentSessionsSetting

          public PersistentSessionsSetting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### path

          public String path()

      The path to the persistent session data directory. If this is null sessions will be stored in memory

    - #### path

          public T path(String value)

      The path to the persistent session data directory. If this is null sessions will be stored in memory

    - #### relativeTo

          public String relativeTo()

      The directory the path is relative to

    - #### relativeTo

          public T relativeTo(String value)

      The directory the path is relative to

Copyright © 2018 JBoss by Red Hat. All rights reserved.